curl --location '/ide/apps' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"distinct_count": "string",
"distinct_on": "host_name",
"include_total_count": true,
"limit": 10,
"offset": 0,
"query": "name='\''WINPC-4291'\'' AND status IN ('\''active'\'', '\''pending'\'')",
"sort": "name desc, id"
}'{
"distinct_values": [
{
"count": 0,
"value": null
}
],
"pagination": {
"count": 0,
"total_count": 1000
},
"items": [
{
"allowlisted": true,
"app_history": "string",
"categories": [
"unspecified"
],
"description": "Your AI pair programmer that helps you write code faster and smarter",
"display_name": "GitHub Copilot - AI pair programmer",
"external_id": "github.copilot",
"high_prevalence": true,
"id": "8CA67511-744C-4D74-B26E-7281CF88712F",
"instances": 32,
"is_ai": true,
"keywords": [
"ai"
],
"kind": "unspecified",
"name": "GitHub Copilot",
"publisher": "GitHub",
"risk_categories": [
"unspecified"
],
"risk_description": "string",
"risk_factors": [
{
"magnitude": 40,
"type": "sensitive_file"
}
],
"risk_history": "string",
"risk_score": 9.2,
"summary": "GitHub Copilot is an AI-powered code completion tool that helps developers write code faster",
"version": "1.145.0"
}
]
}